
Name: app-gateway-management
Epoch: 1
Version: 2.0.9
Release: 1%{dist}
Summary: Gateway Management
License: All rights reserved
Group: ClearOS/Apps
Packager: Roger Peters
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base

%description
Control your Internet. Get everything you want and nothing you don't. Uses mostly DNS-based answers to block unwanted content such as pornography, identity theft, phishing, ads, behavioral profiling, content marketers, etc. Access geo-blocked content from other countries.

%package core
Summary: Gateway Management - Core
License: All rights reserved
Group: ClearOS/Libraries
Requires: app-base-core
Requires: dnsthingy >= 2.2
Requires: dnsmasq >= 2.67

%description core
Control your Internet. Get everything you want and nothing you don't. Uses mostly DNS-based answers to block unwanted content such as pornography, identity theft, phishing, ads, behavioral profiling, content marketers, etc. Access geo-blocked content from other countries.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/gateway_management
cp -r * %{buildroot}/usr/clearos/apps/gateway_management/

install -d -m 0755 %{buildroot}/etc/dnsthingy
install -D -m 0644 packaging/cert.pem %{buildroot}/etc/dnsthingy/cert.pem
install -D -m 0644 packaging/clearsync-firewall.conf %{buildroot}/etc/clearsync.d/filewatch-dnsthingy-firewall.conf
install -D -m 0644 packaging/clearsync-network.conf %{buildroot}/etc/clearsync.d/filewatch-dnsthingy-network.conf
install -D -m 0644 packaging/daemon-ipe.php %{buildroot}/var/clearos/base/daemon/dnsthingyipe.php
install -D -m 0644 packaging/daemon-mgr.php %{buildroot}/var/clearos/base/daemon/dnsthingymgr.php
install -D -m 0644 packaging/firewall-rules %{buildroot}/etc/clearos/firewall.d/10-dnsthingy
install -D -m 0755 packaging/status %{buildroot}/etc/dnsthingy/status

%post
logger -p local6.notice -t installer 'app-gateway-management - installing'

%post core
logger -p local6.notice -t installer 'app-gateway-management-core - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/gateway_management/deploy/install ] && /usr/clearos/apps/gateway_management/deploy/install
fi

[ -x /usr/clearos/apps/gateway_management/deploy/upgrade ] && /usr/clearos/apps/gateway_management/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-gateway-management - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-gateway-management-core - uninstalling'
    [ -x /usr/clearos/apps/gateway_management/deploy/uninstall ] && /usr/clearos/apps/gateway_management/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/gateway_management/controllers
/usr/clearos/apps/gateway_management/views

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/gateway_management/packaging
%exclude /usr/clearos/apps/gateway_management/unify.json
%dir /usr/clearos/apps/gateway_management
%dir /etc/dnsthingy
/usr/clearos/apps/gateway_management/deploy
/usr/clearos/apps/gateway_management/language
/usr/clearos/apps/gateway_management/libraries
/etc/dnsthingy/cert.pem
/etc/clearsync.d/filewatch-dnsthingy-firewall.conf
/etc/clearsync.d/filewatch-dnsthingy-network.conf
/var/clearos/base/daemon/dnsthingyipe.php
/var/clearos/base/daemon/dnsthingymgr.php
/etc/clearos/firewall.d/10-dnsthingy
/etc/dnsthingy/status
